# Enum Class SyThemeValueErrorCode

java.lang.Object
java.lang.Enum<SyThemeValueErrorCode>
com.io7m.jsycamore.api.themes.SyThemeValueErrorCode

All Implemented Interfaces:
  `Serializable, Comparable<SyThemeValueErrorCode>, Constable`

public enum SyThemeValueErrorCode extends Enum<SyThemeValueErrorCode>
The possible value error codes.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VALUE_ALREADY_EXISTS`
  An attempt was made to create an value that already exists.
  `VALUE_CYCLE`
  The value graph would be made cyclic by this operation.
  `VALUE_DOES_NOT_EXIST`
  An attempt was made to retrieve an value that does not exist.
  `VALUE_TYPE_INCORRECT`
  An attempt was made to treat an value as if it had a different type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyThemeValueErrorCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyThemeValueErrorCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VALUE_ALREADY_EXISTS

    public static final SyThemeValueErrorCode VALUE_ALREADY_EXISTS
    An attempt was made to create an value that already exists.

  - ### VALUE_DOES_NOT_EXIST

    public static final SyThemeValueErrorCode VALUE_DOES_NOT_EXIST
    An attempt was made to retrieve an value that does not exist.

  - ### VALUE_TYPE_INCORRECT

    public static final SyThemeValueErrorCode VALUE_TYPE_INCORRECT
    An attempt was made to treat an value as if it had a different type.

  - ### VALUE_CYCLE

    public static final SyThemeValueErrorCode VALUE_CYCLE
    The value graph would be made cyclic by this operation.

- ## Method Details

  - ### values

    public static SyThemeValueErrorCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyThemeValueErrorCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null